summaryrefslogtreecommitdiff
path: root/source4/script
diff options
context:
space:
mode:
authorStefan Metzmacher <metze@samba.org>2005-06-08 18:01:25 +0000
committerGerald (Jerry) Carter <jerry@samba.org>2007-10-10 13:17:50 -0500
commita94d89d2d4a5e72abd38143b9455d81b74777277 (patch)
tree12841af3f239525a7ab1be040b5820f49cd3e227 /source4/script
parentbe6b73de65201c5f0dd147918a259faa62e7faa1 (diff)
downloadsamba-a94d89d2d4a5e72abd38143b9455d81b74777277.tar.gz
samba-a94d89d2d4a5e72abd38143b9455d81b74777277.tar.bz2
samba-a94d89d2d4a5e72abd38143b9455d81b74777277.zip
r7402: - don't stop after a failed test
- some more fixes metze (This used to be commit e90b83d03887ed713745280267caa6f2fd549e0f)
Diffstat (limited to 'source4/script')
-rwxr-xr-xsource4/script/tests/selftest.sh18
-rwxr-xr-xsource4/script/tests/test_binding_string.sh20
-rwxr-xr-xsource4/script/tests/test_echo.sh27
-rwxr-xr-xsource4/script/tests/test_posix.sh18
-rwxr-xr-xsource4/script/tests/test_rpc.sh21
-rwxr-xr-xsource4/script/tests/test_w2k3.sh24
6 files changed, 101 insertions, 27 deletions
diff --git a/source4/script/tests/selftest.sh b/source4/script/tests/selftest.sh
index e2adb887af..d9f1a387a3 100755
--- a/source4/script/tests/selftest.sh
+++ b/source4/script/tests/selftest.sh
@@ -20,6 +20,17 @@ PRIVATEDIR=$PREFIX/private
NCALRPCDIR=$PREFIX/ncalrpc
LOCKDIR=$PREFIX/lockdir
+testok() {
+ name=`basename $1`
+ failed=$2
+ if [ x"$failed" = x"0" ];then
+ echo "ALL OK ($name)";
+ else
+ echo "$failed TESTS FAILED ($name)";
+ fi
+ exit $failed
+}
+
rm -rf $PREFIX/*
mkdir -p $PRIVATEDIR $LIBDIR $PIDDIR $NCALRPCDIR $LOCKDIR $TMPDIR
./setup/provision.pl --quiet --outputdir $PRIVATEDIR --domain $DOMAIN --realm $REALM --adminpass $PASSWORD
@@ -62,9 +73,4 @@ END=`date`
echo "START: $START ($0)";
echo "END: $END ($0)";
-if [ x"$failed" = x"0" ];then
- echo "ALL OK ($0)";
-else
- echo "$failed TESTS FAILED ($0)";
-fi
-exit $failed
+testok $0 $failed
diff --git a/source4/script/tests/test_binding_string.sh b/source4/script/tests/test_binding_string.sh
index 8f8177cf56..27310a1c99 100755
--- a/source4/script/tests/test_binding_string.sh
+++ b/source4/script/tests/test_binding_string.sh
@@ -19,11 +19,24 @@ testit() {
cat test.$$;
rm -f test.$$;
echo "TEST FAILED - $cmdline";
- exit 1;
+ return 1;
fi
rm -f test.$$;
+ return 0;
}
+testok() {
+ name=`basename $1`
+ failed=$2
+ if [ x"$failed" = x"0" ];then
+ echo "ALL OK ($name)";
+ else
+ echo "$failed TESTS FAILED ($name)";
+ fi
+ exit $failed
+}
+
+failed=0;
for I in "ncacn_np:$server" \
"ncacn_ip_tcp:$server" \
"ncacn_np:$server[rpcecho]" \
@@ -35,7 +48,8 @@ for I in "ncacn_np:$server" \
"308FB580-1EB2-11CA-923B-08002B1075A7@ncacn_np:$server" \
"308FB580-1EB2-11CA-923B-08002B1075A7@ncacn_ip_tcp:$server"
do
- testit bin/smbtorture "$I" -U"$username"%"$password" -W $domain RPC-ECHO "$*"
+ echo Testing $I
+ testit bin/smbtorture "$I" -U"$username"%"$password" -W $domain RPC-ECHO "$*" || failed=`expr $failed + 1`
done
-echo "ALL OK";
+testok $0 $failed
diff --git a/source4/script/tests/test_echo.sh b/source4/script/tests/test_echo.sh
index 4bec2426b1..2e0ed3ed02 100755
--- a/source4/script/tests/test_echo.sh
+++ b/source4/script/tests/test_echo.sh
@@ -20,9 +20,21 @@ testit() {
cat test.$$;
rm -f test.$$;
echo "TEST FAILED - $cmdline";
- exit 1;
+ return 1;
fi
rm -f test.$$;
+ return 0;
+}
+
+testok() {
+ name=`basename $1`
+ failed=$2
+ if [ x"$failed" = x"0" ];then
+ echo "ALL OK ($name)";
+ else
+ echo "$failed TESTS FAILED ($name)";
+ fi
+ exit $failed
}
transports="ncacn_np ncacn_ip_tcp"
@@ -30,25 +42,26 @@ if [ $server = "localhost" ]; then
transports="ncalrpc $transports"
fi
+failed=0
for transport in $transports; do
for bindoptions in connect sign seal sign,seal validate padcheck bigendian bigendian,seal; do
for ntlmoptions in \
"--option=socket:testnonblock=True" \
"--option=ntlmssp_client:ntlm2=yes" \
- "--option=ntlmssp_client:ntlm2=no" \
+ "--option=ntlmssp_client:ntlm2=no --option=torture:echo_TestSleep=no" \
"--option=ntlmssp_client:ntlm2=yes --option=ntlmssp_client:128bit=no" \
- "--option=ntlmssp_client:ntlm2=no --option=ntlmssp_client:128bit=no" \
+ "--option=ntlmssp_client:ntlm2=no --option=ntlmssp_client:128bit=no --option=torture:echo_TestSleep=no" \
"--option=ntlmssp_client:ntlm2=yes --option=ntlmssp_client:keyexchange=no" \
- "--option=ntlmssp_client:ntlm2=no --option=ntlmssp_client:keyexchange=no" \
+ "--option=ntlmssp_client:ntlm2=no --option=ntlmssp_client:keyexchange=no --option=torture:echo_TestSleep=no" \
; do
echo Testing $transport with $bindoptions and $ntlmoptions
- testit bin/smbtorture $transport:"$server[$bindoptions]" $ntlmoptions -U"$username"%"$password" -W $domain RPC-ECHO "$*"
+ testit bin/smbtorture $transport:"$server[$bindoptions]" $ntlmoptions -U"$username"%"$password" -W $domain RPC-ECHO "$*" || failed=`expr $failed + 1`
done
done
done
# separately test the print option - its v slow
echo Testing print option
-testit bin/smbtorture ncacn_np:"$server[print]" -U"$username"%"$password" -W $domain RPC-ECHO "$*"
+testit bin/smbtorture ncacn_np:"$server[print]" -U"$username"%"$password" -W $domain RPC-ECHO "$*" || failed=`expr $failed + 1`
-echo "ALL OK";
+testok $0 $failed
diff --git a/source4/script/tests/test_posix.sh b/source4/script/tests/test_posix.sh
index f970321191..b245dc9ff0 100755
--- a/source4/script/tests/test_posix.sh
+++ b/source4/script/tests/test_posix.sh
@@ -29,11 +29,22 @@ testit() {
cat test.$$;
rm -f test.$$;
echo "TEST FAILED - $cmdline";
- exit 1;
+ return 1;
fi
rm -f test.$$;
+ return 0;
}
+testok() {
+ name=`basename $1`
+ failed=$2
+ if [ x"$failed" = x"0" ];then
+ echo "ALL OK ($name)";
+ else
+ echo "$failed TESTS FAILED ($name)";
+ fi
+ exit $failed
+}
tests="BASE-FDPASS BASE-LOCK1 BASE-LOCK2 BASE-LOCK3 BASE-LOCK4"
tests="$tests BASE-LOCK5 BASE-LOCK6 BASE-LOCK7 BASE-UNLINK BASE-ATTR"
@@ -50,11 +61,14 @@ tests="$tests RAW-EAS RAW-STREAMS RAW-ACLS"
soon="BASE-CHARSET RAW-OPLOCK RAW-NOTIFY BASE-DELAYWRITE"
+failed=0
for t in $tests; do
if [ ! -z "$start" -a "$start" != $t ]; then
continue;
fi
start=""
echo Testing $t
- testit $VALGRIND bin/smbtorture $ADDARGS $unc -U"$username"%"$password" $t
+ testit $VALGRIND bin/smbtorture $ADDARGS $unc -U"$username"%"$password" $t || failed=`expr $failed + 1`
done
+
+testok $0 $failed
diff --git a/source4/script/tests/test_rpc.sh b/source4/script/tests/test_rpc.sh
index abe5b4d349..9d87e63865 100755
--- a/source4/script/tests/test_rpc.sh
+++ b/source4/script/tests/test_rpc.sh
@@ -4,7 +4,7 @@
# that they stay passing
ncacn_np_tests="RPC-SCHANNEL RPC-ECHO RPC-DSSETUP RPC-SAMLOGON RPC-ALTERCONTEXT RPC-MULTIBIND"
ncalrpc_tests="RPC-SCHANNEL RPC-ECHO RPC-DSSETUP RPC-SAMLOGON RPC-ALTERCONTEXT RPC-MULTIBIND"
-ncacn_ip_tcp_tests="RPC-SCHANNEL RPC-ECHO RPC-SAMLOGON RPC-ALTERCONTEXT RPC-MULTIBIND"
+ncacn_ip_tcp_tests="RPC-SCHANNEL RPC-ECHO RPC-DSSETUP RPC-SAMLOGON RPC-ALTERCONTEXT RPC-MULTIBIND"
if [ $# -lt 4 ]; then
cat <<EOF
@@ -30,11 +30,24 @@ testit() {
cat test.$$;
rm -f test.$$;
echo "TEST FAILED - $cmdline";
- exit 1;
+ return 1;
fi
rm -f test.$$;
+ return 0;
}
+testok() {
+ name=`basename $1`
+ failed=$2
+ if [ x"$failed" = x"0" ];then
+ echo "ALL OK ($name)";
+ else
+ echo "$failed TESTS FAILED ($name)";
+ fi
+ exit $failed
+}
+
+failed=0
for bindoptions in connect sign seal sign,seal spnego spnego,sign spnego,seal validate padcheck bigendian bigendian,seal; do
for transport in ncalrpc ncacn_np ncacn_ip_tcp; do
case $transport in
@@ -44,9 +57,9 @@ for bindoptions in connect sign seal sign,seal spnego spnego,sign spnego,seal va
esac
for t in $tests; do
echo Testing $t on $transport with $bindoptions
- testit $VALGRIND bin/smbtorture $transport:"$server[$bindoptions]" -U"$username"%"$password" -W $domain $t "$*"
+ testit $VALGRIND bin/smbtorture $transport:"$server[$bindoptions]" -U"$username"%"$password" -W $domain $t "$*" || failed=`expr $failed + 1`
done
done
done
-echo "ALL OK";
+testok $0 $failed
diff --git a/source4/script/tests/test_w2k3.sh b/source4/script/tests/test_w2k3.sh
index 7d52e0a09c..6b5f12c721 100755
--- a/source4/script/tests/test_w2k3.sh
+++ b/source4/script/tests/test_w2k3.sh
@@ -35,12 +35,26 @@ testit() {
exit 1;
fi
rm -f test.$$;
+ return 0;
+}
+
+testok() {
+ name=`basename $1`
+ failed=$2
+ if [ x"$failed" = x"0" ];then
+ echo "ALL OK ($name)";
+ else
+ echo "$failed TESTS FAILED ($name)";
+ fi
+ exit $failed
}
OPTIONS="-U$username%$password -W $domain --option realm=$realm"
+failed=0
+
echo Testing RPC-SPOOLSS on ncacn_np
-testit bin/smbtorture ncacn_np:"$server" $OPTIONS RPC-SPOOLSS "$*"
+testit bin/smbtorture ncacn_np:"$server" $OPTIONS RPC-SPOOLSS "$*" || failed=`expr $failed + 1`
for bindoptions in padcheck connect sign seal spnego,sign spnego,seal validate bigendian; do
for transport in ncacn_ip_tcp ncacn_np; do
@@ -50,14 +64,14 @@ for bindoptions in padcheck connect sign seal spnego,sign spnego,seal validate b
esac
for t in $tests; do
echo Testing $t on $transport with $bindoptions
- testit bin/smbtorture $transport:"$server[$bindoptions]" $OPTIONS $t "$*"
+ testit bin/smbtorture $transport:"$server[$bindoptions]" $OPTIONS $t "$*" || failed=`expr $failed + 1`
done
done
done
echo Testing RPC-DRSUAPI on ncacn_ip_tcp with seal
-testit bin/smbtorture ncacn_ip_tcp:"$server[seal]" $OPTIONS RPC-DRSUAPI "$*"
+testit bin/smbtorture ncacn_ip_tcp:"$server[seal]" $OPTIONS RPC-DRSUAPI "$*" || failed=`expr $failed + 1`
echo Testing RPC-DRSUAPI on ncacn_ip_tcp with seal,bigendian
-testit bin/smbtorture ncacn_ip_tcp:"$server[seal,bigendian]" $OPTIONS RPC-DRSUAPI "$*"
+testit bin/smbtorture ncacn_ip_tcp:"$server[seal,bigendian]" $OPTIONS RPC-DRSUAPI "$*" || failed=`expr $failed + 1`
-echo "ALL OK";
+testok $0 $failed